Skip to content
Browse files

gemspec: enable licenses metadata attribute

This enables compatibility with metadata scanners such as
LicenseFinder[1].

The previously commented-out accessor was commented out
in September 2009 when ancient RubyGems were more prevalent.
By now (December 2012), those ancient versions of RubyGems
are unlikely to be around.

[1] https://github.com/pivotal/LicenseFinder

[ew: rewritten commit message]

Signed-off-by: Eric Wong <normalperson@yhbt.net>
  • Loading branch information...
1 parent fd0192c commit bc4c412f15a05a37ec40f374239efa83d2dbdb1e Peter Marsh committed with Eric Wong Dec 3, 2012
Showing with 1 addition and 1 deletion.
  1. +1 −1 unicorn.gemspec
View
2 unicorn.gemspec
@@ -40,5 +40,5 @@ Gem::Specification.new do |s|
s.add_development_dependency('isolate', '~> 3.2')
s.add_development_dependency('wrongdoc', '~> 1.6.1')
- # s.licenses = %w(GPLv2 Ruby) # licenses= method is not in older RubyGems
+ s.licenses = ["GPLv2", "GPLv3", "Ruby 1.8"]
end

0 comments on commit bc4c412

Please sign in to comment.
Something went wrong with that request. Please try again.